declare module "leaflet.heat" {
  import type { Layer } from "leaflet";

  export interface HeatLayer extends Layer {
    setLatLngs(latlngs: Array<[number, number, number?]>): HeatLayer;
    addLatLng(latlng: [number, number, number?]): HeatLayer;
  }

  export interface HeatLayerOptions {
    radius?: number;
    blur?: number;
    maxZoom?: number;
    max?: number;
    minOpacity?: number;
    gradient?: Record<number, string>;
  }

  export default function heatLayer(latlngs: Array<[number, number, number?]>, options?: HeatLayerOptions): HeatLayer;
}
